<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_20) on Mon Mar 28 10:40:23 EDT 2016 -->
<TITLE>
net.sf.jftp.net.wrappers Class Hierarchy (JFtp)
</TITLE>

<META NAME="date" CONTENT="2016-03-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="net.sf.jftp.net.wrappers Class Hierarchy (JFtp)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../net/sf/jftp/net/server/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../net/sf/jftp/system/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?net/sf/jftp/net/wrappers/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package net.sf.jftp.net.wrappers
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.Object<UL>
<LI TYPE="circle">net.sf.jftp.net.wrappers.<A HREF="../../../../../net/sf/jftp/net/wrappers/NfsConnection.html" title="class in net.sf.jftp.net.wrappers"><B>NfsConnection</B></A> (implements net.sf.jftp.net.<A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A>)
<LI TYPE="circle">NtlmAuthenticator<UL>
<LI TYPE="circle">net.sf.jftp.net.wrappers.<A HREF="../../../../../net/sf/jftp/net/wrappers/SmbConnection.html" title="class in net.sf.jftp.net.wrappers"><B>SmbConnection</B></A> (implements net.sf.jftp.net.<A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A>)
</UL>
<LI TYPE="circle">NtlmAuthenticator<UL>
<LI TYPE="circle">net.sf.jftp.net.wrappers.<A HREF="../../../../../net/sf/jftp/net/wrappers/SmbTest.html" title="class in net.sf.jftp.net.wrappers"><B>SmbTest</B></A></UL>
<LI TYPE="circle">net.sf.jftp.net.wrappers.<A HREF="../../../../../net/sf/jftp/net/wrappers/Sftp2Connection.html" title="class in net.sf.jftp.net.wrappers"><B>Sftp2Connection</B></A> (implements net.sf.jftp.net.<A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A>)
<LI TYPE="circle">net.sf.jftp.net.wrappers.<A HREF="../../../../../net/sf/jftp/net/wrappers/Sftp2Transfer.html" title="class in net.sf.jftp.net.wrappers"><B>Sftp2Transfer</B></A> (implements java.lang.Runnable)
<LI TYPE="circle">net.sf.jftp.net.wrappers.<A HREF="../../../../../net/sf/jftp/net/wrappers/SmbTransfer.html" title="class in net.sf.jftp.net.wrappers"><B>SmbTransfer</B></A> (implements java.lang.Runnable)
<LI TYPE="circle">net.sf.jftp.net.wrappers.<A HREF="../../../../../net/sf/jftp/net/wrappers/StartConnection.html" title="class in net.sf.jftp.net.wrappers"><B>StartConnection</B></A><LI TYPE="circle">net.sf.jftp.net.<A HREF="../../../../../net/sf/jftp/net/Transfer.html" title="class in net.sf.jftp.net"><B>Transfer</B></A><UL>
<LI TYPE="circle">net.sf.jftp.net.wrappers.<A HREF="../../../../../net/sf/jftp/net/wrappers/HttpTransfer.html" title="class in net.sf.jftp.net.wrappers"><B>HttpTransfer</B></A> (implements java.lang.Runnable)
</UL>
<LI TYPE="circle">java.net.URLConnection<UL>
<LI TYPE="circle">net.sf.jftp.net.wrappers.<A HREF="../../../../../net/sf/jftp/net/wrappers/Sftp2URLConnection.html" title="class in net.sf.jftp.net.wrappers"><B>Sftp2URLConnection</B></A></UL>
<LI TYPE="circle">net.sf.jftp.net.wrappers.<A HREF="../../../../../net/sf/jftp/net/wrappers/WebdavConnection.html" title="class in net.sf.jftp.net.wrappers"><B>WebdavConnection</B></A> (implements net.sf.jftp.net.<A HREF="../../../../../net/sf/jftp/net/BasicConnection.html" title="interface in net.sf.jftp.net">BasicConnection</A>)
</UL>
</UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../net/sf/jftp/net/server/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../net/sf/jftp/system/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?net/sf/jftp/net/wrappers/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
